Subject: bug#30315: [PATCH] keyboard-escape-quit should give option not to delete windows

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jun 2019 17:28:03 +0200

Richard Stallman <[email-masked]> writes:

>   > I've always found it a bit odd that ESC-ESC-ESC deletes windows, since I
>   > think of it as telling Emacs to "stop doing whatever it is you're
>   > doing".
>
> Its intended meaning is "Get me back to the default state of things."
> It's meant for people who don't know Emacs very well, to get out of
> any kind of temporary state that they might have got themselves into
> and don't know the command to get out of,
>
> Splitting into multiple windows is one such temporary state.
> So it is right that this gets back to the one-window state.
>
> However, I have no objection to adding this option, if it's
> useful enough to justify its added complexity.

It didn't seem like anybody was really enthusiastic about adding this
complication to this functionality, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no